=begin
#Platform external API.

#Documentation of our Platform external API.

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.34
=end

require 'spec_helper'
require 'json'

# Unit tests for Shippo::RefundsApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'RefundsApi' do
  before do
    # run before each test
    @instance = Shippo::RefundsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RefundsApi' do
    it 'should create an instance of RefundsApi' do
      expect(@instance).to be_instance_of(Shippo::RefundsApi)
    end
  end

  # unit tests for create_refund
  # Create a refund
  # Creates a new refund object.
  # @param merchant_id description: Object ID of the merchant
  # @param [Hash] opts the optional parameters
  # @option opts [RefundRequestBody] :body Refund details
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Refund]
  describe 'create_refund test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_refund
  # Retrieve a refund
  # Retrieve an existing refund by object id.
  # @param merchant_id description: Object ID of the merchant
  # @param refund_id description: Object ID of the refund to update
  # @param [Hash] opts the optional parameters
  # @option opts [String] :shippo_api_version description: String used to pick a non-default api version to use
  # @return [Refund]
  describe 'get_refund test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
